<?php
class GenadConfig {
	// singleton
	private static $instance = null;
	
	public static function getInstance() {
		if (self::$instance == null) {
			self::$instance = new GenadConfig();
		}
		return self::$instance;
	}
	
	private $app_arr = array(
		"LohnAdministration" => array(
			"InterfaceClass" => "LohnAdministration",
			"InterfaceDir" => "Lohn",
			"TypeDir" => ""
		)
	);
	
	private function GenadConfig() {
//		$this->app_arr = 
	}
	
	public function getApplicationList() {
		return array_keys($this->app_arr);
	}
	
	public function getConfig($app, $key) {
		if (isset($this->app_arr[$app][$key])) return $this->app_arr[$app][$key];
		else return "";
	}
	
	public function requireConfig($app, $key) {
		if (($val = $this->getConfig($app, $key)) == "")
			throw new Exception("No configuration for $app/$key");
		return $val;
	}
}
