<?php
require_once 'GenericAdmin/gui/view/AdminView.php';

class MinijobBeitrageView extends AdminView {
	public function __construct() {
		$this->app = "mLohn";
	}
	
	public function view($xml) {
		$this->printHeader();

		print <<<UBER
		<h2>Beiträge Minijobzentrale</h2>
<table><tr><th>Monat</th><th>Krankenversicherung</th><th>Rentenversicherung</th>
	<th>U1</th><th>U2</th><th>Inso</th><th>Pauschalsteuer</th><th>Summe</th></tr>
	<tr>
UBER;

		$xmlExtractor = new XmlExtractor();
		$xmlExtractor->openInput($xml);
		$xmlExtractor->extractElement(InputExtractor::EC_BEG, $elem, $value, $attrs);

		self::assert($elem, "MinijobBeitrage");
		$xmlExtractor->extractElement(InputExtractor::EC_BEG, $elem, $value, $attrs);
		
		self::assert($elem, "Monat");
		$j = substr($value, 0, 4);
		$m = substr($value, 4, 2);
		print "<td>$m / $j</td>";
		$xmlExtractor->extractElement(InputExtractor::EC_CTN, $elem, $value, $attrs);
		
		self::assert($elem, "Krankenversicherung");
		print "<td>$value</td>";
		$xmlExtractor->extractElement(InputExtractor::EC_CTN, $elem, $value, $attrs);
		
		self::assert($elem, "Rentenversicherung");
		print "<td>$value</td>";
		$xmlExtractor->extractElement(InputExtractor::EC_CTN, $elem, $value, $attrs);
		
		self::assert($elem, "U1");
		print "<td>$value</td>";
		$xmlExtractor->extractElement(InputExtractor::EC_CTN, $elem, $value, $attrs);
		
		self::assert($elem, "U2");
		print "<td>$value</td>";
		$xmlExtractor->extractElement(InputExtractor::EC_CTN, $elem, $value, $attrs);
		
		self::assert($elem, "Inso");
		print "<td>$value</td>";
		$xmlExtractor->extractElement(InputExtractor::EC_CTN, $elem, $value, $attrs);
		
		self::assert($elem, "Pauschalsteuer");
		print "<td>$value</td>";
		$xmlExtractor->extractElement(InputExtractor::EC_CTN, $elem, $value, $attrs);
		
		self::assert($elem, "Summe");
		print "<td>$value</td>";
		print "</tr></table></body></html>";
	}		
		
	private static function assert($v1, $v2) {
		if ($v1 != $v2) throw new Exception ("Unexpected XML Tag: $v1");
	}
}