<?php

// imports
require_once 'GenericAdmin/DataTypes/EnumType.php';

class LATyp extends EnumType {

	/** the possible values for attribute administrative state */
	const LAT_NORMAL   = 1; // LaNormal 
	const LAT_SOZ_BEFR = 2; // LaSozialbefreit
	const LAT_GERING   = 3; // LaGeringfugig
	const LAT_KURZFR   = 4; // LaKurzfrist

	// (string representations of) defined values
	public static $defd_vals = array (
		self::LAT_NORMAL 		=> 'normal',
		self::LAT_SOZ_BEFR	=> 'sozialbefreit',
		self::LAT_GERING 		=> 'geringfügig',
		self::LAT_KURZFR 		=> 'kurzfristig'
		);

	public function __construct($value) {
		$this->initInstance('LATyp', self::$defd_vals, $value);
	}
}
