<?php

// imports
require_once 'GenericAdmin/DataTypes/AttrProperty.php';
require_once 'GenericAdmin/DataTypes/ClassProperty.php';

	// Generic Administration configuration data
	$mocd_tab = array (
		1 => array (
			'intern' => 'Mitarbeiter',
			'extern' => 'Mitarbeiter'),
		2 => array (
			'intern' => 'Lohnprofil',
			'extern' => 'Lohnprofil'),
		3 => array (
			'intern' => 'Lohnabrechnung',
			'extern' => 'Lohnabrechnung',
		    'props'   => array (ClassProperty::CP_SET, ClassProperty::CP_Entity)),
		4 => array (
			'intern' => 'LaNormal',
			'extern' => 'LaNormal',
		    'props'   => array (ClassProperty::CP_SET, ClassProperty::CP_Entity)),
		5 => array (
			'intern' => 'LaSozialbefreit',
			'extern' => 'LaSozialbefreit',
		    'props'   => array (ClassProperty::CP_SET, ClassProperty::CP_Entity)),
		6 => array (
			'intern' => 'LaGeringfugig',
			'extern' => 'LaGeringfugig',
		    'props'   => array (ClassProperty::CP_SET, ClassProperty::CP_Entity)),
		7 => array (
			'intern' => 'LaKurzfrist',
			'extern' => 'LaKurzfrist',
		    'props'   => array (ClassProperty::CP_SET, ClassProperty::CP_Entity)),
		8 => array (
			'intern' => 'Arbeitgeberbtr',
			'extern' => 'Arbeitgeberbeiträge',
		    'props'   => array (ClassProperty::CP_SET, ClassProperty::CP_Entity))
		);

	$atdc_tab = array (
	
		// Mitarbeiter
		array (
			'intern'  => 'nachname',
			'extern'  => 'name',
			'moc'     => 'Mitarbeiter',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		array (
			'intern'  => 'vorname',
			'extern'  => 'vorname',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET)),
		array (
			'intern'  => 'anrede',
			'extern'  => 'anrede',
			'typ_cl'  => 'Anrede',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		array (
			'intern'  => 'gebdat',
			'extern'  => 'Geburtsdatum',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET),
		    
		),
	    array (
	        'intern'  => 'soz_ver_num',
	        'extern'  => 'Sozialver_Nummer',
	        'moc'     => 'Mitarbeiter',
	        'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
	    array (
	        'intern'  => 'steuerid',
	        'extern'  => 'SteuerID',
	        'moc'     => 'Mitarbeiter',
	        'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
	    array (
	        'intern'  => 'besch_beg',
	        'extern'  => 'Beschäftigungsbeginn',
	        'moc'     => 'Mitarbeiter',
	        'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
	    array (
	        'intern'  => 'strasse',
	        'extern'  => 'strasse',
	        'moc'     => 'Mitarbeiter',
	        'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
	    array (
			'intern'  => 'plz',
			'extern'  => 'PLZ',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		array (
			'intern'  => 'ort',
			'extern'  => 'ort',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		array (
			'intern'  => 'iban',
			'extern'  => 'IBAN',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		array (
			'intern'  => 'bank',
			'extern'  => 'bank',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		array (
			'intern'  => 'email',
			'extern'  => 'email',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		array (
			'intern'  => 'basis_betrag',
			'extern'  => 'basis_betrag',
			'moc'     => 'Mitarbeiter',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'steuermerkmal',
			'extern'  => 'steuermerkmal',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		array (
			'intern'  => 'aktiv',
			'extern'  => 'aktiv',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_BOOL)),
		array (
			'intern'  => 'lp_id',
			'extern'  => 'lp_id',
			'moc'     => 'Mitarbeiter',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_REL),
			'rel_moc' => 2), // Lohnprofil),
		
		//Lohnprofil
		array (
			'intern'  => 'name',
			'extern'  => 'name',
			'moc'     => 'Lohnprofil',
			'props'   => array (AttrProperty::AP_GET)),
		array (
			'intern'  => 'periode',
			'extern'  => 'periode',
			'moc'     => 'Lohnprofil',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET),
			'typ_cl'	 => 'Periode'),
		array (
			'intern'  => 'lohnsteuer',
			'extern'  => 'lohnsteuer',
			'moc'     => 'Lohnprofil',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_BOOL)),
		array (
			'intern'  => 'kirchensteuer_rk',
			'extern'  => 'kirchensteuer_rk',
			'moc'     => 'Lohnprofil',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_BOOL)),
		array (
			'intern'  => 'kirchensteuer_ev',
			'extern'  => 'kirchensteuer_ev',
			'moc'     => 'Lohnprofil',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_BOOL)),
		array (
			'intern'  => 'soli',
			'extern'  => 'soli',
			'moc'     => 'Lohnprofil',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_BOOL)),
		array (
			'intern'  => 'rentenversicherung_an',
			'extern'  => 'rentenversicherung_an',
			'moc'     => 'Lohnprofil',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'rentenversicherung_ag',
			'extern'  => 'rentenversicherung_ag',
			'moc'     => 'Lohnprofil',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'krankenversicherung_an',
			'extern'  => 'krankenversicherung_an',
			'moc'     => 'Lohnprofil',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'krankenversicherung_ag',
			'extern'  => 'krankenversicherung_ag',
			'moc'     => 'Lohnprofil',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'u1',
			'extern'  => 'u1',
			'moc'     => 'Lohnprofil',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'u2',
			'extern'  => 'u2',
			'moc'     => 'Lohnprofil',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'inso',
			'extern'  => 'inso',
			'moc'     => 'Lohnprofil',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'pauschalsteuer',
			'extern'  => 'pauschalsteuer',
			'moc'     => 'Lohnprofil',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'la_typ',
			'extern'  => 'la_typ',
			'moc'     => 'Lohnprofil',
			'typ_cl'  => 'LATyp',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		
		// Lohnabrechnung
		array (
			'intern'  => 'monat',
			'extern'  => 'monat',
			'moc'     => 'Lohnabrechnung',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_MEQU, AttrProperty::AP_MORD)),
		array (
			'intern'  => 'arbeitsstunden',
			'extern'  => 'arbeitsstunden',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'zulage',
			'extern'  => 'zulage',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'brutto',
			'extern'  => 'brutto',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'netto',
			'extern'  => 'netto',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'lohnsteuer',
			'extern'  => 'lohnsteuer',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'kirchensteuer_rk',
			'extern'  => 'kirchensteuer_rk',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'kirchensteuer_ev',
			'extern'  => 'kirchensteuer_ev',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'soli',
			'extern'  => 'soli',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'rentenversicherung',
			'extern'  => 'rentenversicherung',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'krankenversicherung',
			'extern'  => 'krankenversicherung',
			'moc'     => 'Lohnabrechnung',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'ma_id',
			'extern'  => 'ma_id',
			'moc'     => 'Lohnabrechnung',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 1), // Mitarbeiter),
		array (
			'intern'  => 'lp_id',
			'extern'  => 'lp_id',
			'moc'     => 'Lohnabrechnung',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 2), // Lohnprofil),

		// LaNormal
		array (
			'intern'  => 'monat',
			'extern'  => 'monat',
			'moc'     => 'LaNormal',
			'props'   => array (AttrProperty::AP_GET)),
		array (
			'intern'  => 'zulage',
			'extern'  => 'zulage',
			'moc'     => 'LaNormal',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'brutto',
			'extern'  => 'brutto',
			'moc'     => 'LaNormal',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'netto',
			'extern'  => 'netto',
			'moc'     => 'LaNormal',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'lohnsteuer',
			'extern'  => 'lohnsteuer',
			'moc'     => 'LaNormal',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'kirchensteuer_rk',
			'extern'  => 'kirchensteuer_rk',
			'moc'     => 'LaNormal',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'kirchensteuer_ev',
			'extern'  => 'kirchensteuer_ev',
			'moc'     => 'LaNormal',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'soli',
			'extern'  => 'soli',
			'moc'     => 'LaNormal',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'rentenversicherung',
			'extern'  => 'rentenversicherung',
			'moc'     => 'LaNormal',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'krankenversicherung',
			'extern'  => 'krankenversicherung',
			'moc'     => 'LaNormal',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'ma_id',
			'extern'  => 'ma_id',
			'moc'     => 'LaNormal',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 1), // Mitarbeiter),
		array (
			'intern'  => 'lp_id',
			'extern'  => 'lp_id',
			'moc'     => 'LaNormal',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 2), // Lohnprofil),
		
		// LaSozialbefreit
		array (
			'intern'  => 'monat',
			'extern'  => 'monat',
			'moc'     => 'LaSozialbefreit',
			'props'   => array (AttrProperty::AP_GET)),
		array (
			'intern'  => 'zulage',
			'extern'  => 'zulage',
			'moc'     => 'LaSozialbefreit',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'brutto',
			'extern'  => 'brutto',
			'moc'     => 'LaSozialbefreit',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'netto',
			'extern'  => 'netto',
			'moc'     => 'LaSozialbefreit',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'lohnsteuer',
			'extern'  => 'lohnsteuer',
			'moc'     => 'LaSozialbefreit',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'kirchensteuer_rk',
			'extern'  => 'kirchensteuer_rk',
			'moc'     => 'LaSozialbefreit',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'kirchensteuer_ev',
			'extern'  => 'kirchensteuer_ev',
			'moc'     => 'LaSozialbefreit',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'soli',
			'extern'  => 'soli',
			'moc'     => 'LaSozialbefreit',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'ma_id',
			'extern'  => 'ma_id',
			'moc'     => 'LaSozialbefreit',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 1), // Mitarbeiter),
		array (
			'intern'  => 'lp_id',
			'extern'  => 'lp_id',
			'moc'     => 'LaSozialbefreit',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 2), // Lohnprofil),
		
		// LaGeringfugig
		array (
			'intern'  => 'monat',
			'extern'  => 'monat',
			'moc'     => 'LaGeringfugig',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_INT)),
		array (
			'intern'  => 'arbeitsstunden',
			'extern'  => 'arbeitsstunden',
			'moc'     => 'LaGeringfugig',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'zulage',
			'extern'  => 'zulage',
			'moc'     => 'LaGeringfugig',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'brutto',
			'extern'  => 'brutto',
			'moc'     => 'LaGeringfugig',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'netto',
			'extern'  => 'netto',
			'moc'     => 'LaGeringfugig',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'rentenversicherung',
			'extern'  => 'rentenversicherung',
			'moc'     => 'LaGeringfugig',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'rentenversicherung',
			'extern'  => 'rentenversicherung',
			'moc'     => 'LaGeringfugig',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'krankenversicherung',
			'extern'  => 'krankenversicherung',
			'moc'     => 'LaGeringfugig',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'ma_id',
			'extern'  => 'ma_id',
			'moc'     => 'LaGeringfugig',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 1), // Mitarbeiter),
		array (
			'intern'  => 'lp_id',
			'extern'  => 'lp_id',
			'moc'     => 'LaGeringfugig',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 2), // Lohnprofil),
		
		// LaKurzfrist
		array (
			'intern'  => 'monat',
			'extern'  => 'monat',
			'moc'     => 'LaKurzfrist',
			'props'   => array (AttrProperty::AP_GET)),
		array (
			'intern'  => 'arbeitsstunden',
			'extern'  => 'arbeitsstunden',
			'moc'     => 'LaKurzfrist',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'zulage',
			'extern'  => 'zulage',
			'moc'     => 'LaKurzfrist',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'brutto',
			'extern'  => 'brutto',
			'moc'     => 'LaKurzfrist',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'netto',
			'extern'  => 'netto',
			'moc'     => 'LaKurzfrist',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'lohnsteuer',
			'extern'  => 'lohnsteuer',
			'moc'     => 'LaKurzfrist',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'kirchensteuer_rk',
			'extern'  => 'kirchensteuer_rk',
			'moc'     => 'LaKurzfrist',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'kirchensteuer_ev',
			'extern'  => 'kirchensteuer_ev',
			'moc'     => 'LaKurzfrist',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'soli',
			'extern'  => 'soli',
			'moc'     => 'LaKurzfrist',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'ma_id',
			'extern'  => 'ma_id',
			'moc'     => 'LaKurzfrist',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 1), // Mitarbeiter),
		array (
			'intern'  => 'lp_id',
			'extern'  => 'lp_id',
			'moc'     => 'LaKurzfrist',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 2), // Lohnprofil),
		
		// Arbeitgeberbtr
		array (
			'intern'  => 'monat',
			'extern'  => 'monat',
			'moc'     => 'Arbeitgeberbtr',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_MEQU)),
		array (
			'intern'  => 'rentenversicherung',
			'extern'  => 'rentenversicherung',
			'moc'     => 'Arbeitgeberbtr',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'krankenversicherung',
			'extern'  => 'krankenversicherung',
			'moc'     => 'Arbeitgeberbtr',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'u1',
			'extern'  => 'u1',
			'moc'     => 'Arbeitgeberbtr',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'u2',
			'extern'  => 'u2',
			'moc'     => 'Arbeitgeberbtr',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'inso',
			'extern'  => 'inso',
			'moc'     => 'Arbeitgeberbtr',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT)),
		array (
			'intern'  => 'pauschalsteuer',
			'extern'  => 'pauschalsteuer',
			'moc'     => 'Arbeitgeberbtr',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_FLOAT))
		);

?>
