<?php



/**
 * This class defines the structure of the 'arbeitgeberbtr' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class ArbeitgeberbtrTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.ArbeitgeberbtrTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('arbeitgeberbtr');
        $this->setPhpName('Arbeitgeberbtr');
        $this->setClassname('Arbeitgeberbtr');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addColumn('mod', 'Mod', 'INTEGER', true, null, null);
        $this->addColumn('monat', 'Monat', 'CHAR', true, 6, null);
        $this->addColumn('rentenversicherung', 'Rentenversicherung', 'REAL', true, null, 0);
        $this->addColumn('krankenversicherung', 'Krankenversicherung', 'REAL', true, null, 0);
        $this->addColumn('u1', 'U1', 'REAL', true, null, 0);
        $this->addColumn('u2', 'U2', 'REAL', true, null, 0);
        $this->addColumn('inso', 'Inso', 'REAL', true, null, 0);
        $this->addColumn('pauschalsteuer', 'Pauschalsteuer', 'REAL', true, null, 0);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
    } // buildRelations()

} // ArbeitgeberbtrTableMap
