<?php
require_once 'GenericAdmin/gui/view/AdminView.php';

class WorkFlowView extends AdminView {
	
	private $monat;
	private $jahr;
	
	public function __construct($monat, $jahr) {
		$this->app = "mLohn";
		$this->monat = (int) $monat;
		$this->jahr = $jahr;
	}
	
	public function view() {
		$this->printHeader();
		echo <<<TEIL_A

<p><a href="ListView.php">Zur Administration</a></p>
<p><a href="/mlohn/doc/" target="_blank">Zur Dokumentation</a></p>
<h2>mLohn Workflow</h2>
<form name="workflow" action="WorkFlowView.php" method="POST">

<!-- TEIL_A -->
	<p>1. <a href="ListView.php?event=ClassSelect&appclass=LohnAdministration 1">Mitarbeiter kontrollieren</a> (Aktiv ja/nein)</p> 
	<p>2. Monat setzen
		<select name="monat">
TEIL_A;
		for ($i = 1; $i <= 12; $i++) {
			if ($this->monat == $i) $sel = "selected=yes"; else $sel = "";
			echo "    <option value=\"$i\" $sel>$i</option>\n";
		}
		echo "</select> <select name=\"jahr\">\n";
		$akt_jahr = intval(date("Y", time()));
		$test = date("Y",  time());
		echo "$test";
		for ($i = $akt_jahr-5; $i < $akt_jahr+5; $i++) {
			$jahr = $i;
			if ($jahr == $this->jahr ) $sel = "selected=yes"; else $sel = "";
			echo "   <option value=\"$jahr\" $sel>$jahr</option>\n";
		}
		echo <<<TEIL_B
		</select>
	</p>
	<p>3. Monat anlegen und Arbeitsstunden eintragen <input type="submit" name="monat_anlegen" value="Anlegen"/></p> 
	<p>4. Bruttolohn berechnen und Steuerdaten füllen <input type="submit" name="brutto_rechnen" value="Berechnen"/></p> 
	<p>5. Fehlende Daten berechnen und kontrollieren <input type="submit" name="berechnen" value="Berechnen"/></p> 
	<p>6. Abrechnungen erstellen <input type="submit" name="erstellen" value="Erstellen"/></p> 
	<p>7. Arbeitgeberanteile berechnen und kontrollieren <input type="submit" name="ag_anteil_ber" value="Berechnen"/></p> 
	<p>8. Beiträge für Minijobzentrale anzeigen <input type="submit" name="beitr_minijob" value="Anzeigen"/></p> 
	<p>9. Lohnabrechnungen <a href="/mlohn/print/">herunterladen</a>.</p> 
	</form>
</body>
</html>
TEIL_B;
	}
}